Index: snovis/head/obuild/setup.sh
===================================================================
--- snovis/head/obuild/setup.sh	(revision 6)
+++ snovis/head/obuild/setup.sh	(revision 92)
@@ -116,5 +116,5 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-bhep_home="/Users/barrand/dev/exp/nemo/bhep/v1r4p1"
+bhep_home="/Users/barrand/dev/exp/nemo/bhep/v1r4p2"
 fi
 unset obuild_platform_result
@@ -134,14 +134,14 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-GeomUtils_home="/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/GeomUtils"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  return
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
-if [ ${obuild_platform_result} = yes ] ; then
-GeomUtils_platform="Darwin-i386"
+snova_home="/Users/barrand/dev/exp/nemo/snova/v2r0p0"
+fi
+unset obuild_platform_result
+if [ "${obuild_platform_exe}" = "" ] ; then
+  echo "Variable obuild_platform_exe not defined."
+  return
+fi
+obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
+if [ ${obuild_platform_result} = yes ] ; then
+snova_platform="Darwin"
 fi
 unset obuild_platform_result
@@ -152,5 +152,5 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-SNgeom2_home="/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/SNgeom2"
+CLHEP_home="/usr/local/CLHEP/2.0.3.1"
 fi
 unset obuild_platform_result
@@ -161,68 +161,5 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-snova_home="/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/snova"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  return
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
-if [ ${obuild_platform_result} = yes ] ; then
-CLHEP_home="/usr/local/CLHEP/2.0.3.1"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  return
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
-if [ ${obuild_platform_result} = yes ] ; then
-Geant4_home="/geant4/geant4.8.2"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  return
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
-if [ ${obuild_platform_result} = yes ] ; then
-Geant4_work="${Geant4_home}/Darwin"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  return
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Linux'`
-if [ ${obuild_platform_result} = yes ] ; then
-Geant4_work="${Geant4_home}/slc3_gcc323"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  return
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
-if [ ${obuild_platform_result} = yes ] ; then
-Geant4_system="Darwin-g++"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  return
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Linux'`
-if [ ${obuild_platform_result} = yes ] ; then
-Geant4_system="Linux-g++"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  return
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Windows_NT'`
-if [ ${obuild_platform_result} = yes ] ; then
-Geant4_system="WIN32-VC"
+Geant4_home="/usr/local/geant4/8.2"
 fi
 unset obuild_platform_result
@@ -306,8 +243,8 @@
 if [ ${obuild_platform_result} = yes ] ; then
   if [  "${DYLD_LIBRARY_PATH}" = "" ] ; then
-    DYLD_LIBRARY_PATH="${GeomUtils_home}/Darwin-i386/lib"
-    export DYLD_LIBRARY_PATH
-  else
-    DYLD_LIBRARY_PATH="${DYLD_LIBRARY_PATH}:${GeomUtils_home}/Darwin-i386/lib"
+    DYLD_LIBRARY_PATH="${bhep_home}/Darwin"
+    export DYLD_LIBRARY_PATH
+  else
+    DYLD_LIBRARY_PATH="${DYLD_LIBRARY_PATH}:${bhep_home}/Darwin"
     export DYLD_LIBRARY_PATH
   fi
@@ -322,8 +259,8 @@
 if [ ${obuild_platform_result} = yes ] ; then
   if [  "${LD_LIBRARY_PATH}" = "" ] ; then
-    LD_LIBRARY_PATH="${GeomUtils_home}/Darwin-i386/lib"
-    export LD_LIBRARY_PATH
-  else
-    LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${GeomUtils_home}/Darwin-i386/lib"
+    LD_LIBRARY_PATH="${bhep_home}/Darwin"
+    export LD_LIBRARY_PATH
+  else
+    LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${bhep_home}/Darwin"
     export LD_LIBRARY_PATH
   fi
@@ -346,8 +283,8 @@
 if [ ${obuild_platform_result} = yes ] ; then
   if [  "${DYLD_LIBRARY_PATH}" = "" ] ; then
-    DYLD_LIBRARY_PATH="${SNgeom2_home}/Darwin-i386/lib"
-    export DYLD_LIBRARY_PATH
-  else
-    DYLD_LIBRARY_PATH="${DYLD_LIBRARY_PATH}:${SNgeom2_home}/Darwin-i386/lib"
+    DYLD_LIBRARY_PATH="${snova_home}/Darwin"
+    export DYLD_LIBRARY_PATH
+  else
+    DYLD_LIBRARY_PATH="${DYLD_LIBRARY_PATH}:${snova_home}/Darwin"
     export DYLD_LIBRARY_PATH
   fi
@@ -362,48 +299,8 @@
 if [ ${obuild_platform_result} = yes ] ; then
   if [  "${LD_LIBRARY_PATH}" = "" ] ; then
-    LD_LIBRARY_PATH="${SNgeom2_home}/Darwin-i386/lib"
-    export LD_LIBRARY_PATH
-  else
-    LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${SNgeom2_home}/Darwin-i386/lib"
-    export LD_LIBRARY_PATH
-  fi
-fi
-unset obuild_platform_result
-fi
-unset obuild_platform_result
-
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  return
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
-if [ ${obuild_platform_result} = yes ] ; then
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  return
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
-if [ ${obuild_platform_result} = yes ] ; then
-  if [  "${DYLD_LIBRARY_PATH}" = "" ] ; then
-    DYLD_LIBRARY_PATH="${bhep_home}/Darwin/lib"
-    export DYLD_LIBRARY_PATH
-  else
-    DYLD_LIBRARY_PATH="${DYLD_LIBRARY_PATH}:${bhep_home}/Darwin/lib"
-    export DYLD_LIBRARY_PATH
-  fi
-fi
-unset obuild_platform_result
-else
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  return
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
-if [ ${obuild_platform_result} = yes ] ; then
-  if [  "${LD_LIBRARY_PATH}" = "" ] ; then
-    LD_LIBRARY_PATH="${bhep_home}/Darwin/lib"
-    export LD_LIBRARY_PATH
-  else
-    LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${bhep_home}/Darwin/lib"
+    LD_LIBRARY_PATH="${snova_home}/Darwin"
+    export LD_LIBRARY_PATH
+  else
+    LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${snova_home}/Darwin"
     export LD_LIBRARY_PATH
   fi
